### Method

# Gtk Builder add_from_string

#### Declaration [src]

    gboolean
    gtk_builder_add_from_string (
      GtkBuilder* builder,
      const char* buffer,
      gssize length,
      GError** error
    )

#### Description [src]

Parses a string containing a UI definition and merges it with the current contents of `builder`.

This function is useful if you need to call `gtk_builder_set_current_object()` to add user data to callbacks before loading `GtkBuilder` UI. Otherwise, you probably want `gtk_builder_new_from_string()` instead.

Upon errors `FALSE` will be returned and `error` will be assigned a `GError` from the `GTK_BUILDER_ERROR`, `G_MARKUP_ERROR` or `G_VARIANT_PARSE_ERROR` domain.

It’s not really reasonable to attempt to handle failures of this call. The only reasonable thing to do when an error is detected is to call g_error().

#### Parameters

`buffer`

  Type: `const char*`

  The string to parse.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `gssize`

  The length of `buffer` (may be -1 if `buffer` is nul-terminated)

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` if an error occurred.